List submissions for a form

Returns a paginated list of submissions for the given form.

Requirements

  • The form MUST exist and the user must have access to it
  • Only completed submissions are included (i.e. those that have been processed)

Pagination

Use limit and offset query parameters to page through results.
Default limit is 1000, maximum is 1000. Results are ordered by submission ID ascending.

Response

Returns submission metadata. To retrieve full answer data for a specific submission,
use the GET /v1/forms/{formId}/submissions/{submissionId}/answers endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

External ID of the form

Query Params
int32

Maximum number of results to return, between 1 and 1000 (default: 1000)

int32

Number of results to skip for pagination (default: 0)

string

Return only submissions with completed_at strictly after this UTC datetime (ISO-8601, e.g. 2026-01-01T00:00:00Z)

string

Return only submissions with completed_at strictly before this UTC datetime (ISO-8601, e.g. 2026-12-31T23:59:59Z)

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json